Din gamla telefon kan sluta fungera med Pokemon Go – se listan här

Har du en äldre mobiltelefon är risken att du inte längre kan köra Pokemon Go på den. Anledningen är att spelutvecklaren Niantic drar i handbromsen och slutar ge stöd åt flera gamla versioner av både Android och iOS.

Stödet dras in redan i oktober och omfattar alla mobiltelefoner som använder Android 5.0 eller äldre, samt att iPhone 5s och iPhone 6 slutar fungera med Pokemon Go. Om du har någon av dessa är enda valet att köpa en ny mobiltelefon om du vill fortsätta spela Pokemon Go.

Anledningen till att Niantic begränsar vilka mobiltelefoner som får köpa Pokemon Go är tämligen enkel. I takt med att spelet utvecklas blir det allt svårare och tidskrävande att underhålla gammal kod för äldre mobiltelefoner. När koden förnyas och optimeras måste Niantic förr eller senare sätta stopp för gamla system.

På så vis kan spelet rensas från onödig kod och Niantic kan snabba upp utvecklingen genom att fokusera på sånt som verkligen bidrar till spelupplevelsen.

Om du har en mobiltelefon som är på gång att sluta fungera med Pokemon Go får du ett meddelande av Niantic. Redan idag ska du ha fått en första varning. Notera att även en del användare som inte borde ha fått meddelandet har varnats.